Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.calendar
Class CalendarFilterPlugin

    java.lang.Object
      org.blojsom.plugin.calendar.AbstractCalendarPlugin
          org.blojsom.plugin.calendar.CalendarFilterPlugin

All Implemented Interfaces:
  Plugin

public class CalendarFilterPlugin
extends AbstractCalendarPlugin

CalendarFilterPlugin filters entries based on the calendar navigation parameters in the URL

Since:
  blojsom 3.0
Version:
  $Id: CalendarFilterPlugin.java,v 1.4 2006/05/12 15:10:54 czarneckid Exp $
Author:
  David Czarnecki, Mark Lussier

Field Summary

Fields inherited from class org.blojsom.plugin.calendar.AbstractCalendarPlugin
`_fetcher, BLOJSOM_CALENDAR, BLOJSOM_CALENDAR_FORMAT, BLOJSOM_CALENDAR_LOCALE, BLOJSOM_CALENDAR_SHORTFORMAT, BLOJSOM_CALENDAR_VTLHELPER, BLOJSOM_FILTER_END_DATE, BLOJSOM_FILTER_START_DATE, DAY_PARAM, MONTH_PARAM, YEAR_PARAM`

Constructor Summary
`CalendarFilterPlugin()`

Method Summary
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries

Methods inherited from class org.blojsom.plugin.calendar.AbstractCalendarPlugin
`cleanup, destroy, init, setFetcher`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarFilterPlugin

    public CalendarFilterPlugin()

Method Detail

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Overrides:
    `process` in class `AbstractCalendarPlugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
    `blog` - `Blog` instance
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD